Skip to Content
0

ME_PO_PROCESS_CUST BADI doesn't work with ME21

May 17, 2017 at 04:14 AM

65

avatar image

HI,

ME_PO_PROCESS_CUST Badi implementation works with ME21N. But this badi doesn't work with old ME21 transactions.

I implemented POST method. Does anybody know why this Badi doesn't work with old ME21 & if you know any enhancement which works with ME21 POST method, pls share with me.

// Pls note - MM06E003 triggers at POST method, but new PO number is not available at this point. I need newly created PO number for my enhancement.

Thanks

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Raymond Giuseppi
May 17, 2017 at 06:29 AM
1

The Legacy and Enjoy MM purchasing translations no longer share the same development, (different/no BAdI, different BAPI, etc.)

There are (many) notes like 1803189 - FAQ: End of Support of ME21, ME51, and BAPI_PO_CREATE etc. that explain this. Anything developped after 2013 for Enjoy transactions often don't apply to older ones. (Look in the note for 'Availability of BAdIs')

Share
10 |10000 characters needed characters left characters exceeded